IBM Support

Exception "JRE libraries are missing or not compatible" occurs while installing Content Platform Engine 5.2.1 on Linux

Troubleshooting


Problem

After launch the CPE 5.2.1 installer, you may encounter the following exception:

Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...

Launching installer...

JRE libraries are missing or not compatible....
Exiting....

Cause

ld-linux.so.2 library is missing on Linux.

Resolving The Problem

Install it with following command:

yum install -y ld-linux.so.2

[{"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Product":{"code":"SSNVNV","label":"FileNet Content Manager"},"Component":"Installation","Platform":[{"code":"PF016","label":"Linux"}],"Version":"All Versions","Edition":"","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Document Information

Modified date:
31 October 2018

UID

ibm10737993